Page MenuHomePhabricator

Release 6.2.1
Closed, ResolvedPublic

Description

Release version: 6.2.1
Release tag: releases/6.2.1
Release SHA1: eaed16cfd0a841eddadd5a981d0337b0cbaa7431
App Store Submission Date: 4/5/19
App Store Approval Date: 4/8/19
App Store Release Date: 4/8/19
Regression Testing URL:


Pre-release

  • File subtask for assets (if needed) N/A
  • Submit "What’s New" on iTunes Connect for translation
  • Submit Beta on iTunes Connect for external testing review, and verify distribution
  • File subtask for Did smoke tests and notify TSG with RC build number
  • Post to mobile-l when Beta is approved for external testing
  • Upload new screenshots & app icons to iTunes Connect (if needed) N/A
  • Review Regression testing report, triage bugs, and identify any blockers

Day of submit:

  • Update contributors list
  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.)
  • Verify Tweaks are disabled in build submitted to iTunesConnect via internal testing
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Install previous (active) App Store version, then update to release candidate via TestFlight and verify app load
  • Release to App Store (NOT on a Friday!)

Post-release:

Event Timeline

LGoto created this task.Mar 25 2019, 6:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 25 2019, 6:46 PM
JoeWalsh renamed this task from Release 6.1.2 to Release 6.2.1.Mar 25 2019, 7:31 PM
LGoto triaged this task as Medium priority.Mar 28 2019, 9:31 PM
LGoto moved this task from Needs Triage to PM-Backlog on the Wikipedia-iOS-App-Backlog board.
LGoto updated the task description. (Show Details)Apr 5 2019, 5:51 PM
LGoto updated the task description. (Show Details)
LGoto closed this task as Resolved.Apr 8 2019, 7:45 PM
LGoto updated the task description. (Show Details)
LGoto updated the task description. (Show Details)
LGoto moved this task from Doing to Ready for PM Signoff on the iOS-app-v6.2.1-Beluga-On-Stilts board.